@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-ExtraLight.ttf");
  font-weight: 300;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Light.ttf");
  font-weight: 400;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Regular.ttf");
  font-weight: 500;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Medium.ttf");
  font-weight: 600;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-SemiBold.ttf");
  font-weight: 700;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Bold.ttf");
  font-weight: 800;
}
.container {
  padding-left: 6%;
  padding-right: 6%;
}

.text-center {
  text-align: center;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.text-primary {
  color: #45ae9f;
}

.text-secondary {
  color: #2e39e7;
}

.fw-1 {
  font-weight: 300;
}

.fw-2 {
  font-weight: 400;
}

.fw-3 {
  font-weight: 500;
}

.fw-4 {
  font-weight: 600;
}

.fw-5 {
  font-weight: 700;
}

.fw-6 {
  font-weight: 800;
}

.mb-1 {
  margin-bottom: 1em;
}

.mb-3 {
  margin-bottom: 3em;
}

.close {
  background-color: transparent;
  border: 0;
  cursor: pointer;
  font-size: 1.4em;
  position: absolute;
  right: 20px;
  top: 20px;
}

.btn-submit {
  padding: 10px 24px;
  border: 0;
  border-radius: 4px;
  color: white;
  background-color: #45ae9f;
  font-weight: 600;
  cursor: pointer;
}

.btn-submit:hover {
  background-color: #40a193;
}

.btn-submit:active {
  background-color: #35877a;
}

.btn-danger {
  padding: 10px 24px;
  border: 0;
  border-radius: 4px;
  color: white;
  background-color: #b6322a;
  font-weight: 600;
  cursor: pointer;
}

.btn-reset:hover {
  background-color: #a52c26;
}

.btn-reset:active {
  background-color: #882520;
}

.alert-success {
  min-width: 200px;
  max-width: 300px;
  border: 1px solid white;
  box-shadow: 0 0 8px 1px rgba(0, 0, 0, 0.3);
  position: fixed;
  top: 120px;
  right: -200px;
  opacity: 0;
  transition: 1s;
  padding: 20px;
  border-radius: 8px;
  font-weight: bold;
  color: white;
  z-index: -99;
}

div.show-alert-success {
  opacity: 1;
  z-index: 100;
  right: 30px;
}

.shadow-primary:hover {
  box-shadow: 0 2px 10px 4px rgba(69, 174, 159, 0.3);
}

.shadow-secondary:hover {
  box-shadow: 0 2px 10px 4px rgba(46, 57, 231, 0.3);
}

.bg-primary {
  background-color: #45ae9f;
}

.bg-secondary {
  background-color: #2e39e7;
}

.bg-transparent {
  background: transparent !important;
}

.alert-ask {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  background-color: white;
  width: 90%;
  padding: 26px;
  box-shadow: 0 0 8px 1px rgba(0, 0, 0, 0.3);
  border-radius: 8px;
  font-size: 1.4em;
  text-align: center;
  opacity: 0;
  z-index: -99;
  transition: 0.4s;
}
.alert-ask img {
  animation: updown 1s infinite alternate;
}

div.show-alert-ask {
  opacity: 1;
  z-index: 100;
}

@keyframes updown {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(10px);
  }
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-ExtraLight.ttf");
  font-weight: 300;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Light.ttf");
  font-weight: 400;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Regular.ttf");
  font-weight: 500;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Medium.ttf");
  font-weight: 600;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-SemiBold.ttf");
  font-weight: 700;
}
@font-face {
  font-family: "Poppins-ex";
  src: url("../fonts/Poppins/Poppins-Bold.ttf");
  font-weight: 800;
}
.grid-container {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: 30px;
}
.grid-container.sm {
  gap: 10px;
}
.grid-container .column-1 {
  grid-column-end: span 1;
}
.grid-container .column-2 {
  grid-column-end: span 2;
}
.grid-container .column-3 {
  grid-column-end: span 3;
}
.grid-container .column-4 {
  grid-column-end: span 4;
}
.grid-container .column-5 {
  grid-column-end: span 5;
}
.grid-container .column-6 {
  grid-column-end: span 6;
}
.grid-container .column-7 {
  grid-column-end: span 7;
}
.grid-container .column-8 {
  grid-column-end: span 8;
}
.grid-container .column-9 {
  grid-column-end: span 9;
}
.grid-container .column-10 {
  grid-column-end: span 10;
}
.grid-container .column-11 {
  grid-column-end: span 11;
}
.grid-container .column-12 {
  grid-column-end: span 12;
}
.grid-container .row-1 {
  grid-row-end: span 1;
}
.grid-container .row-2 {
  grid-row-end: span 2;
}
.grid-container .row-3 {
  grid-row-end: span 3;
}

@media screen and (max-width: 567px) {
  .container {
    padding-left: 2%;
    padding-right: 2%;
  }
  .search-bar {
    width: 90% !important;
  }
}
@media screen and (min-width: 567px) {
  .grid-container .column-sm-1 {
    grid-column-end: span 1;
  }
  .grid-container .column-sm-2 {
    grid-column-end: span 2;
  }
  .grid-container .column-sm-3 {
    grid-column-end: span 3;
  }
  .grid-container .column-sm-4 {
    grid-column-end: span 4;
  }
  .grid-container .column-sm-5 {
    grid-column-end: span 5;
  }
  .grid-container .column-sm-6 {
    grid-column-end: span 6;
  }
  .grid-container .column-sm-7 {
    grid-column-end: span 7;
  }
  .grid-container .column-sm-8 {
    grid-column-end: span 8;
  }
  .grid-container .column-sm-9 {
    grid-column-end: span 9;
  }
  .grid-container .column-sm-10 {
    grid-column-end: span 10;
  }
  .grid-container .column-sm-11 {
    grid-column-end: span 11;
  }
  .grid-container .row-sm-1 {
    grid-row-end: span 1;
  }
  .grid-container .row-sm-2 {
    grid-row-end: span 2;
  }
  .grid-container .row-sm-3 {
    grid-row-end: span 3;
  }
  nav.brand {
    font-size: 24px;
  }
  div.alert-ask {
    width: 400px;
  }
}
@media screen and (min-width: 768px) {
  div.modal {
    width: 660px;
  }
  .grid-container .column-md-1 {
    grid-column-end: span 1;
  }
  .grid-container .column-md-2 {
    grid-column-end: span 2;
  }
  .grid-container .column-md-3 {
    grid-column-end: span 3;
  }
  .grid-container .column-md-4 {
    grid-column-end: span 4;
  }
  .grid-container .column-md-5 {
    grid-column-end: span 5;
  }
  .grid-container .column-md-6 {
    grid-column-end: span 6;
  }
  .grid-container .column-md-7 {
    grid-column-end: span 7;
  }
  .grid-container .column-md-8 {
    grid-column-end: span 8;
  }
  .grid-container .column-md-9 {
    grid-column-end: span 9;
  }
  .grid-container .column-md-10 {
    grid-column-end: span 10;
  }
  .grid-container .column-md-11 {
    grid-column-end: span 11;
  }
  .grid-container .row-md-1 {
    grid-row-end: span 1;
  }
  .grid-container .row-md-2 {
    grid-row-end: span 2;
  }
  .grid-container .row-md-3 {
    grid-row-end: span 3;
  }
}
@media screen and (min-width: 992px) {
  .grid-container .column-lg-1 {
    grid-column-end: span 1;
  }
  .grid-container .column-lg-2 {
    grid-column-end: span 2;
  }
  .grid-container .column-lg-3 {
    grid-column-end: span 3;
  }
  .grid-container .column-lg-4 {
    grid-column-end: span 4;
  }
  .grid-container .column-lg-5 {
    grid-column-end: span 5;
  }
  .grid-container .column-lg-6 {
    grid-column-end: span 6;
  }
  .grid-container .column-lg-7 {
    grid-column-end: span 7;
  }
  .grid-container .column-lg-8 {
    grid-column-end: span 8;
  }
  .grid-container .column-lg-9 {
    grid-column-end: span 9;
  }
  .grid-container .column-lg-10 {
    grid-column-end: span 10;
  }
  .grid-container .column-lg-11 {
    grid-column-end: span 11;
  }
  .grid-container .row-lg-1 {
    grid-row-end: span 1;
  }
  .grid-container .row-lg-2 {
    grid-row-end: span 2;
  }
  .grid-container .row-lg-3 {
    grid-row-end: span 3;
  }
}
@media screen and (min-width: 1200px) {
  .grid-container .column-xl-1 {
    grid-column-end: span 1;
  }
  .grid-container .column-xl-2 {
    grid-column-end: span 2;
  }
  .grid-container .column-xl-3 {
    grid-column-end: span 3;
  }
  .grid-container .column-xl-4 {
    grid-column-end: span 4;
  }
  .grid-container .column-xl-5 {
    grid-column-end: span 5;
  }
  .grid-container .column-xl-6 {
    grid-column-end: span 6;
  }
  .grid-container .column-xl-7 {
    grid-column-end: span 7;
  }
  .grid-container .column-xl-8 {
    grid-column-end: span 8;
  }
  .grid-container .column-xl-9 {
    grid-column-end: span 9;
  }
  .grid-container .column-xl-10 {
    grid-column-end: span 10;
  }
  .grid-container .column-xl-11 {
    grid-column-end: span 11;
  }
  .grid-container .row-xl-1 {
    grid-row-end: span 1;
  }
  .grid-container .row-xl-2 {
    grid-row-end: span 2;
  }
  .grid-container .row-xl-3 {
    grid-row-end: span 3;
  }
}
@media screen and (min-width: 1400px) {
  .grid-container .column-xxl-1 {
    grid-column-end: span 1;
  }
  .grid-container .column-xxl-2 {
    grid-column-end: span 2;
  }
  .grid-container .column-xxl-3 {
    grid-column-end: span 3;
  }
  .grid-container .column-xxl-4 {
    grid-column-end: span 4;
  }
  .grid-container .column-xxl-5 {
    grid-column-end: span 5;
  }
  .grid-container .column-xxl-6 {
    grid-column-end: span 6;
  }
  .grid-container .column-xxl-7 {
    grid-column-end: span 7;
  }
  .grid-container .column-xxl-8 {
    grid-column-end: span 8;
  }
  .grid-container .column-xxl-9 {
    grid-column-end: span 9;
  }
  .grid-container .column-xxl-10 {
    grid-column-end: span 10;
  }
  .grid-container .column-xxl-11 {
    grid-column-end: span 11;
  }
  .grid-container .row-xxl-1 {
    grid-row-end: span 1;
  }
  .grid-container .row-xxl-2 {
    grid-row-end: span 2;
  }
  .grid-container .row-xxl-3 {
    grid-row-end: span 3;
  }
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
}

a {
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}

header {
  box-shadow: 0 2px 10px 2px rgba(0, 0, 0, 0.4);
  position: relative;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100px;
}
nav .brand {
  color: black;
  font-size: 20px;
  font-weight: 600;
}
nav .brand:hover {
  text-decoration: none;
}
nav ul {
  display: flex;
  height: 100%;
}
nav li {
  list-style: none;
  margin-right: 20px;
  display: flex;
  height: 100%;
  align-items: center;
}
nav li a {
  font-weight: 600;
  color: black;
}

.active {
  border-bottom: 4px solid #45ae9f;
}

.title-page {
  text-align: center;
  margin-bottom: 40px;
}

main {
  padding-top: 60px;
  padding-bottom: 120px;
}

.search-bar {
  margin: auto;
  margin-bottom: 70px;
  width: 40%;
  display: flex;
  padding: 4px 20px;
  align-items: center;
  border-radius: 8px;
  box-shadow: 0 1px 8px 1px rgba(0, 0, 0, 0.3);
}
.search-bar img {
  margin-right: 20px;
}
.search-bar input {
  width: 100%;
  padding: 16px 6px;
  font-size: 1.2em;
  border: 0;
}
.search-bar input:focus {
  outline: 0;
}

.book-item {
  text-align: center;
  padding: 40px 20px 28px;
  box-shadow: 0 2px 10px 2px rgba(0, 0, 0, 0.3);
  border-radius: 6px;
  transition: 0.4s;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.book-item .title {
  margin-bottom: 20px;
}

.action {
  display: flex;
  justify-content: space-between;
}

.author {
  margin-bottom: 1em;
  font-size: 20px;
}

.year {
  margin-bottom: 60px;
  font-size: 18px;
}

.icon {
  cursor: pointer;
  transition: 0.2s;
}

.icon:active {
  transform: scale(0.8);
}

footer {
  text-align: center;
  padding: 20px;
}

.btn-add {
  position: fixed;
  bottom: 40px;
  right: 20px;
  border-radius: 50%;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.4);
  background-color: white;
  cursor: pointer;
}

.wrapper-overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.4);
  z-index: -99;
  opacity: 0;
  transition: 0.8s;
}

.show-modal {
  opacity: 1;
  z-index: 99;
}
.show-modal .modal {
  opacity: 1;
  top: 60px;
}

.modal {
  width: 90%;
  margin: auto;
  box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.4);
  padding: 44px 34px 60px;
  border-radius: 8px;
  position: relative;
  background-color: white;
  top: 10px;
  opacity: 0;
  transition: 1s;
}
.modal h1 {
  margin-bottom: 60px;
}

.form-label {
  display: block;
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 8px;
}

.form-control {
  width: 100%;
  padding: 12px;
  font-size: 1.2em;
  border-radius: 6px;
  outline: 0;
  border: 1px solid rgba(0, 0, 0, 0.4);
}
